#include <iostream>

using namespace std;

int main()
{
   int n,k;
   cin>>n;
   int a[n];
   for(int i=0; i<n; i++)
       cin>>a[i];
   if(n==2)
   {
    int pom=a[0];
   a[0]=a[1];
   a[1]=pom;
   }
   else
   {
       for(int i=0; i<n; i++)
       { k=0;
           for(int j=i+1; j<n; j++)
             if(a[i]<a[j])
           {
               int pom=a[i];
                a[i]=a[j];
                a[j]=pom;
                k=1;
           }
             if(k==1)
                break;
       }
   }
   for(int i=0; i<n; i++)
       cout<<a[i]<<" ";

}